LibreOffice LibreOffice 6.0 SDK API Reference

Public Member Functions | List of all members
XStringMapping Interface Referencepublished

provides a mapping from `string` to `string` More...

`import"XStringMapping.idl";`

Inheritance diagram for XStringMapping:

## Public Member Functions
boolean | mapStrings ([inout] sequence< string > Parameter)
| provides a mapping for a given sequence of strings to a sequence of belonging strings. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides a mapping from `string` to `string`

## Member Function Documentation

## ◆ mapStrings()

boolean mapStrings | ( | [inout] sequence< string > | Parameter | ) |

provides a mapping for a given sequence of strings to a sequence of belonging strings.

The documentation for this interface was generated from the following file:

- com/sun/star/util/XStringMapping.idl